
/*	Copyright (c) 2001, ATAPY Software. All rights reserved.

	This file is part of Pdf2Bmp. 
	
	Pdf2Bmp is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Pdf2Bmp is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <String.h> 
#include <StdLib.h> 

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//

inline char* allocString( int length ) 
{
	return reinterpret_cast<char*>( malloc( length + 1 ) ); 
}

inline void errorStop( bool expression ) 
{
	if( !expression ) { 
		abort(); 
	}
}

int getNumberOfSlash( const char* string ); 
const char* doubleSlashString( const char* string ); 
int getStringLength( int number ); 

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
